﻿#language: ru

@quality_control

Функционал: 03_quality_control. Заполнение справочника Показатели анализов номенклатуры

Сценарий: 03_quality_control. Создание показателя МДЖ
	Дано Я подключаюсь под "qual_Технолог"
	И Я создаю показатель анализов номенклатуры "МДЖ" с типом "Число дробное в диапазоне"

Сценарий: 03_quality_control. Создание показателя МДБ
	И Я создаю показатель анализов номенклатуры "МДБ" с типом "Число дробное в диапазоне"

Сценарий: 03_quality_control. Создание показателя Плотность молока
	И Я создаю показатель анализов номенклатуры "Плотность молока" с типом "Число дробное в диапазоне"

Сценарий: 03_quality_control. Создание показателя Признак
	И Я создаю показатель анализов номенклатуры "Признак" с типом "Признак"

Сценарий: 03_quality_control. Создание показателя Целое
	И Я создаю показатель анализов номенклатуры "Целое" с типом "Число целое в диапазоне"

Сценарий: 03_quality_control. Создание показателя Значение из списка
	И Я создаю показатель анализов номенклатуры "Значение" со списком значений "есть;плохой;нет"

Сценарий: 03_quality_control. Создание показателя Расчет от других
	И В командном интерфейсе я выбираю 'Производство' 'Показатели анализов номенклатуры'
	Тогда открылось окно 'Показатели анализов номенклатуры'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'     |
		| 'Расчет от других' |
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Показатель анализов номенклатуры (создание)'
		И я перехожу к следующему реквизиту
		И в поле 'Наименование' я ввожу текст 'Расчет от других'
		И я нажимаю кнопку выбора у поля "Вид результата анализа"
		Тогда открылось окно 'Виды результатов анализов'
		И в таблице "Список" я перехожу к строке:
			| 'Код'         | 'Наименование'              |
			| 'MS-00000002' | 'Число дробное в диапазоне' |
		И в таблице "Список" я активизирую поле "Наименование"
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Показатель анализов номенклатуры (создание) *'
		И я устанавливаю флаг 'Рассчитывать по формуле от других показателей анализов'
		И я нажимаю кнопку выбора у поля "Формула"
		Тогда открылось окно 'Редактирование формулы'
		И в таблице "Операнды" я выбираю текущую строку
		И в поле 'Формула' я ввожу текст '[МДЖ]*'
		И в таблице "Операнды" я перехожу к строке:
			| 'Идентификатор' |
			| 'МДБ'           |
		И в таблице "Операнды" я выбираю текущую строку
		И я нажимаю на кнопку 'Сохранить и закрыть'
		Тогда открылось окно 'Показатель анализов номенклатуры (создание) *'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Показатель анализов номенклатуры (создание) *' в течение 20 секунд
		Тогда открылось окно 'Показатели анализов номенклатуры'
	И Я закрываю окно 'Показатели анализов номенклатуры'

Сценарий: 03_quality_control. Создание показателя Время прессования
	И Я создаю показатель анализов номенклатуры "Время прессования" с типом "Число дробное в диапазоне"

Сценарий: 03_quality_control. Создание показателя Время наливки молока
	И Я создаю показатель анализов номенклатуры "Время наливки молока" с типом "Число дробное в диапазоне"

Сценарий: 03_quality_control. Создание показателя Температура
	И Я создаю показатель анализов номенклатуры "Температура" с типом "Число дробное в диапазоне"

Сценарий: 03_quality_control. Создание показателя Влажность
	И Я создаю показатель анализов номенклатуры "Влажность" с типом "Число дробное в диапазоне"

Сценарий: 03_quality_control. Создание показателя Плотность
	И Я создаю показатель анализов номенклатуры "Плотность" с типом "Число дробное в диапазоне"

Сценарий:  03_quality_control. Создание показателя Цвет
	И Я создаю показатель анализов номенклатуры "Цвет" с типом "Признак"

Сценарий:  03_quality_control. Создание показателя Рисунок
	И Я создаю показатель анализов номенклатуры "Рисунок" с типом "Признак"

Сценарий:  03_quality_control. 01.004. Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT